--- lp_solve/ccc.osx	2009-01-25 12:39:09.000000000 -0600
+++ lp_solve/ccc.osx	2010-03-30 23:06:55.000000000 -0500
@@ -4,10 +4,16 @@
 
+#make temporary directory
+if [ -z "$TMPDIR" ]
+then TMPDIR=/tmp
+fi
+MYTMP=`mktemp -d "$TMPDIR/lp_solve_XXXXXXXX"`
+
 #determine platform (32/64 bit)
->/tmp/platform.c
-echo '#include <stdlib.h>'>>/tmp/platform.c
-echo '#include <stdio.h>'>>/tmp/platform.c
-echo 'main(){printf("osx%d", (int) (sizeof(void *)*8));}'>>/tmp/platform.c
-$c /tmp/platform.c -o /tmp/platform
-PLATFORM=`/tmp/platform`
-rm /tmp/platform /tmp/platform.c >/dev/null 2>&1
+>"$MYTMP/platform.c"
+echo '#include <stdlib.h>'>>"$MYTMP/platform.c"
+echo '#include <stdio.h>'>>"$MYTMP/platform.c"
+echo 'main(){printf("osx%d", (int) (sizeof(void *)*8));}'>>"$MYTMP/platform.c"
+$c "$MYTMP/platform.c" -o "$MYTMP/platform"
+PLATFORM=`"$MYTMP/platform"`
+rm "$MYTMP/platform" "$MYTMP/platform.c" >/dev/null 2>&1
 
@@ -18,8 +24,8 @@
 #check if this system has the isnan function
->/tmp/isnan.c
-echo '#include <stdio.h>'>>/tmp/isnan.c
-echo '#include <stdlib.h>'>>/tmp/isnan.c
-echo '#include <math.h>'>>/tmp/isnan.c
-echo 'main(){isnan(0);}'>>/tmp/isnan.c
-$c /tmp/isnan.c -o /tmp/isnan $math >/dev/null 2>&1
+>"$MYTMP/isnan.c"
+echo '#include <stdio.h>'>>"$MYTMP/isnan.c"
+echo '#include <stdlib.h>'>>"$MYTMP/isnan.c"
+echo '#include <math.h>'>>"$MYTMP/isnan.c"
+echo 'main(){isnan(0);}'>>"$MYTMP/isnan.c"
+$c "$MYTMP/isnan.c" -o "$MYTMP/isnan" $math >/dev/null 2>&1
 if [ $? = 0 ]
@@ -28,3 +34,6 @@
 fi
-rm /tmp/isnan.c /tmp/isnan >/dev/null 2>&1
+rm "$MYTMP/isnan.c" "$MYTMP/isnan" >/dev/null 2>&1
+
+#remove temporary directory
+rmdir "$MYTMP"
 
--- lpsolve55/ccc.osx	2009-08-09 10:36:19.000000000 -0500
+++ lpsolve55/ccc.osx	2010-03-30 23:06:52.000000000 -0500
@@ -4,10 +4,16 @@
 
+#make temporary directory
+if [ -z "$TMPDIR" ]
+then TMPDIR=/tmp
+fi
+MYTMP=`mktemp -d "$TMPDIR/lp_solve_XXXXXXXX"`
+
 #determine platform (32/64 bit)
->/tmp/platform.c
-echo '#include <stdlib.h>'>>/tmp/platform.c
-echo '#include <stdio.h>'>>/tmp/platform.c
-echo 'main(){printf("osx%d", (int) (sizeof(void *)*8));}'>>/tmp/platform.c
-$c /tmp/platform.c -o /tmp/platform
-PLATFORM=`/tmp/platform`
-rm /tmp/platform /tmp/platform.c >/dev/null 2>&1
+>"$MYTMP/platform.c"
+echo '#include <stdlib.h>'>>"$MYTMP/platform.c"
+echo '#include <stdio.h>'>>"$MYTMP/platform.c"
+echo 'main(){printf("osx%d", (int) (sizeof(void *)*8));}'>>"$MYTMP/platform.c"
+$c "$MYTMP/platform.c" -o "$MYTMP/platform"
+PLATFORM=`"$MYTMP/platform"`
+rm "$MYTMP/platform" "$MYTMP/platform.c" >/dev/null 2>&1
 
@@ -16,8 +22,8 @@
 #check if this system has the isnan function
->/tmp/isnan.c
-echo '#include <stdio.h>'>>/tmp/isnan.c
-echo '#include <stdlib.h>'>>/tmp/isnan.c
-echo '#include <math.h>'>>/tmp/isnan.c
-echo 'main(){isnan(0);}'>>/tmp/isnan.c
-$c /tmp/isnan.c -o /tmp/isnan $math >/dev/null 2>&1
+>"$MYTMP/isnan.c"
+echo '#include <stdio.h>'>>"$MYTMP/isnan.c"
+echo '#include <stdlib.h>'>>"$MYTMP/isnan.c"
+echo '#include <math.h>'>>"$MYTMP/isnan.c"
+echo 'main(){isnan(0);}'>>"$MYTMP/isnan.c"
+$c "$MYTMP/isnan.c" -o "$MYTMP/isnan" $math >/dev/null 2>&1
 if [ $? = 0 ]
@@ -26,3 +32,6 @@
 fi
-rm /tmp/isnan.c /tmp/isnan >/dev/null 2>&1
+rm "$MYTMP/isnan.c" "$MYTMP/isnan" >/dev/null 2>&1
+
+#remove temporary directory
+rmdir "$MYTMP"
 
